> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update ebook metadata 

> Update metadata and settings for an ebook product

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/update-ebook-metadata
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/update-ebook-metadata:
    post:
      tags:
        - Product
      summary: 'Update ebook metadata '
      description: >-
        Update metadata and settings for an ebook product


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          productSlug:
                            type: string
                            minLength: 1
                            description: Slug of the ebook product
                          title:
                            type: string
                            minLength: 1
                            description: Display title for the ebook
                          shortDescription:
                            type: string
                            description: Brief description shown on product listing pages
                          longDescription:
                            type: string
                            description: Detailed description shown on the product page
                          activeVersionIndex:
                            type: integer
                            minimum: 0
                            description: >-
                              Index of the ebook version to make active (from
                              process-uploaded-ebook response). Must be an
                              uploaded and processed version.
                          isBookDownloadable:
                            type: boolean
                            description: Whether users can download the ebook PDF file
                          shouldEnableCenterWatermark:
                            type: boolean
                            description: >-
                              Whether to display a watermark in the center of
                              ebook pages
                          shouldEnableHeaderWatermark:
                            type: boolean
                            description: >-
                              Whether to display a watermark in the header of
                              ebook pages
                        required:
                          - productSlug
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties: {}
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````